  /******************************************************************************
  
   ARXIU    : 1_3_CreacioDisparadors.sql
   AUTOR    : Jess Hernndez Garcia - TFC - Aula 1
   
   PROPSIT : Script de creaci de les seqncies i els disparadors 
              (incrementals de les taules)
                                
   ******************************************************************************/

CREATE SEQUENCE TFC_BD.SQ_PAIS START WITH 1 INCREMENT BY 1;

CREATE OR REPLACE TRIGGER TFC_BD.TR_BEIN_PAIS
  BEFORE INSERT ON TFC_BD.PAIS FOR EACH ROW
BEGIN
  SELECT TFC_BD.SQ_PAIS.NEXTVAL 
    INTO :NEW.paiId
    FROM DUAL;
END; 
/

CREATE SEQUENCE TFC_BD.SQ_CIUTADA START WITH 1 INCREMENT BY 1;

CREATE OR REPLACE TRIGGER TFC_BD.TR_BEIN_CIUTADA
  BEFORE INSERT ON TFC_BD.CIUTADA FOR EACH ROW
BEGIN
  SELECT TFC_BD.SQ_CIUTADA.NEXTVAL 
    INTO :NEW.ciuId
    FROM DUAL;
END; 
/


CREATE SEQUENCE TFC_BD.SQ_CENTRE_SANITARI START WITH 1 INCREMENT BY 1;

CREATE OR REPLACE TRIGGER TFC_BD.TR_BEIN_CENTRE_SANITARI
  BEFORE INSERT ON TFC_BD.CENTRE_SANITARI FOR EACH ROW
BEGIN
  SELECT TFC_BD.SQ_CENTRE_SANITARI.NEXTVAL 
    INTO :NEW.cesId
    FROM DUAL;
END; 
/

CREATE SEQUENCE TFC_BD.SQ_VISITA START WITH 1 INCREMENT BY 1;

CREATE OR REPLACE TRIGGER TFC_BD.TR_BEIN_VISITA
  BEFORE INSERT ON TFC_BD.VISITA FOR EACH ROW
BEGIN
  SELECT TFC_BD.SQ_VISITA.NEXTVAL 
    INTO :NEW.visId
    FROM DUAL;
END; 
/

CREATE SEQUENCE TFC_BD.SQ_MALALTIA START WITH 1 INCREMENT BY 1;

CREATE OR REPLACE TRIGGER TFC_BD.TR_BEIN_MALALTIA
  BEFORE INSERT ON TFC_BD.MALALTIA FOR EACH ROW
BEGIN
  SELECT TFC_BD.SQ_MALALTIA.NEXTVAL 
    INTO :NEW.malId
    FROM DUAL;
END; 
/

CREATE SEQUENCE TFC_BD.SQ_DIAGNOSTIC START WITH 1 INCREMENT BY 1;

CREATE OR REPLACE TRIGGER TFC_BD.TR_BEIN_DIAGNOSTIC
  BEFORE INSERT ON TFC_BD.DIAGNOSTIC FOR EACH ROW
BEGIN
  SELECT TFC_BD.SQ_DIAGNOSTIC.NEXTVAL 
    INTO :NEW.diaId
    FROM DUAL;
END; 
/

CREATE SEQUENCE TFC_BD.SQ_ACTIVITAT START WITH 1 INCREMENT BY 1;

CREATE OR REPLACE TRIGGER TFC_BD.TR_BEIN_ACTIVITAT
  BEFORE INSERT ON TFC_BD.ACTIVITAT FOR EACH ROW
BEGIN
  SELECT TFC_BD.SQ_ACTIVITAT.NEXTVAL 
    INTO :NEW.actId
    FROM DUAL;
END; 
/

CREATE SEQUENCE TFC_BD.SQ_LOG_S START WITH 1 INCREMENT BY 1;

CREATE OR REPLACE TRIGGER TFC_BD.TR_BEIN_LOG_S
  BEFORE INSERT ON TFC_BD.LOG_S FOR EACH ROW
BEGIN
  SELECT TFC_BD.SQ_LOG_S.NEXTVAL 
    INTO :NEW.logId
    FROM DUAL;
END; 
/

CREATE SEQUENCE TFC_BD.SQ_E1_USUSISTEMA START WITH 1 INCREMENT BY 1;

CREATE OR REPLACE TRIGGER TFC_BD.TR_BEIN_E1_USUSISTEMA
  BEFORE INSERT ON TFC_BD.E1_USUSISTEMA FOR EACH ROW
BEGIN
  SELECT TFC_BD.SQ_E1_USUSISTEMA.NEXTVAL 
    INTO :NEW.estId
    FROM DUAL;
END; 
/

CREATE SEQUENCE TFC_BD.SQ_E2_CALORIESUSU START WITH 1 INCREMENT BY 1;

CREATE OR REPLACE TRIGGER TFC_BD.TR_BEIN_E2_CALORIESUSU
  BEFORE INSERT ON TFC_BD.E2_CALORIESUSU FOR EACH ROW
BEGIN
  SELECT TFC_BD.SQ_E2_CALORIESUSU.NEXTVAL 
    INTO :NEW.estId
    FROM DUAL;
END; 
/

CREATE SEQUENCE TFC_BD.SQ_E3_PASSESUSU START WITH 1 INCREMENT BY 1;

CREATE OR REPLACE TRIGGER TFC_BD.TR_BEIN_E3_PASSESUSU
  BEFORE INSERT ON TFC_BD.E3_PASSESUSU FOR EACH ROW
BEGIN
  SELECT TFC_BD.SQ_E3_PASSESUSU.NEXTVAL 
    INTO :NEW.estId
    FROM DUAL;
END; 
/

CREATE SEQUENCE TFC_BD.SQ_E4_HORESPOCAACTUSU START WITH 1 INCREMENT BY 1;

CREATE OR REPLACE TRIGGER TFC_BD.TR_BEIN_E4_HORESPOCAACTUSU
  BEFORE INSERT ON TFC_BD.E4_HORESPOCAACTUSU FOR EACH ROW
BEGIN
  SELECT TFC_BD.SQ_E4_HORESPOCAACTUSU.NEXTVAL 
    INTO :NEW.estId
    FROM DUAL;
END; 
/

CREATE SEQUENCE TFC_BD.SQ_E5_USUCARDIACA START WITH 1 INCREMENT BY 1;

CREATE OR REPLACE TRIGGER TFC_BD.TR_BEIN_E5_USUCARDIACA
  BEFORE INSERT ON TFC_BD.E5_USUCARDIACA FOR EACH ROW
BEGIN
  SELECT TFC_BD.SQ_E5_USUCARDIACA.NEXTVAL 
    INTO :NEW.estId
    FROM DUAL;
END; 
/

CREATE SEQUENCE TFC_BD.SQ_E6_USUCANCERIGENA START WITH 1 INCREMENT BY 1;

CREATE OR REPLACE TRIGGER TFC_BD.TR_BEIN_E6_USUCANCERIGENA
  BEFORE INSERT ON TFC_BD.E6_USUCANCERIGENA FOR EACH ROW
BEGIN
  SELECT TFC_BD.SQ_E6_USUCANCERIGENA.NEXTVAL 
    INTO :NEW.estId
    FROM DUAL;
END; 
/

CREATE SEQUENCE TFC_BD.SQ_E7_USUDEGENERATIVA START WITH 1 INCREMENT BY 1;

CREATE OR REPLACE TRIGGER TFC_BD.TR_BEIN_E7_USUDEGENERATIVA
  BEFORE INSERT ON TFC_BD.E7_USUDEGENERATIVA FOR EACH ROW
BEGIN
  SELECT TFC_BD.SQ_E7_USUDEGENERATIVA.NEXTVAL 
    INTO :NEW.estId
    FROM DUAL;
END; 
/

CREATE SEQUENCE TFC_BD.SQ_E8_MALALTIESLLEUS START WITH 1 INCREMENT BY 1;

CREATE OR REPLACE TRIGGER TFC_BD.TR_BEIN_E8_MALALTIESLLEUS
  BEFORE INSERT ON TFC_BD.E8_MALALTIESLLEUS FOR EACH ROW
BEGIN
  SELECT TFC_BD.SQ_E8_MALALTIESLLEUS.NEXTVAL 
    INTO :NEW.estId
    FROM DUAL;
END; 
/

CREATE SEQUENCE TFC_BD.SQ_E9_USUMESCALORIES START WITH 1 INCREMENT BY 1;

CREATE OR REPLACE TRIGGER TFC_BD.TR_BEIN_E9_USUMESCALORIES
  BEFORE INSERT ON TFC_BD.E9_USUMESCALORIES FOR EACH ROW
BEGIN
  SELECT TFC_BD.SQ_E9_USUMESCALORIES.NEXTVAL 
    INTO :NEW.estId
    FROM DUAL;
END; 
/

CREATE SEQUENCE TFC_BD.SQ_E1C_USUSISTEMA START WITH 1 INCREMENT BY 1;

CREATE OR REPLACE TRIGGER TFC_BD.TR_BEIN_E1C_USUSISTEMA
  BEFORE INSERT ON TFC_BD.E1C_USUSISTEMA FOR EACH ROW
BEGIN
  SELECT TFC_BD.SQ_E1C_USUSISTEMA.NEXTVAL 
    INTO :NEW.estId
    FROM DUAL;
END; 
/

CREATE SEQUENCE TFC_BD.SQ_E2C_CALORIESUSU START WITH 1 INCREMENT BY 1;

CREATE OR REPLACE TRIGGER TFC_BD.TR_BEIN_E2C_CALORIESUSU
  BEFORE INSERT ON TFC_BD.E2C_CALORIESUSU FOR EACH ROW
BEGIN
  SELECT TFC_BD.SQ_E2C_CALORIESUSU.NEXTVAL 
    INTO :NEW.estId
    FROM DUAL;
END; 
/

CREATE SEQUENCE TFC_BD.SQ_E3C_PASSESUSU START WITH 1 INCREMENT BY 1;

CREATE OR REPLACE TRIGGER TFC_BD.TR_BEIN_E3C_PASSESUSU
  BEFORE INSERT ON TFC_BD.E3C_PASSESUSU FOR EACH ROW
BEGIN
  SELECT TFC_BD.SQ_E3C_PASSESUSU.NEXTVAL 
    INTO :NEW.estId
    FROM DUAL;
END; 
/

CREATE SEQUENCE TFC_BD.SQ_E4C_HORESPOCAACTUSU START WITH 1 INCREMENT BY 1;

CREATE OR REPLACE TRIGGER TFC_BD.TR_BEIN_E4C_HORESPOCAACTUSU
  BEFORE INSERT ON TFC_BD.E4C_HORESPOCAACTUSU FOR EACH ROW
BEGIN
  SELECT TFC_BD.SQ_E4C_HORESPOCAACTUSU.NEXTVAL 
    INTO :NEW.estId
    FROM DUAL;
END; 
/

CREATE SEQUENCE TFC_BD.SQ_E5C_USUCARDIACA START WITH 1 INCREMENT BY 1;

CREATE OR REPLACE TRIGGER TFC_BD.TR_BEIN_E5C_USUCARDIACA
  BEFORE INSERT ON TFC_BD.E5C_USUCARDIACA FOR EACH ROW
BEGIN
  SELECT TFC_BD.SQ_E5C_USUCARDIACA.NEXTVAL 
    INTO :NEW.estId
    FROM DUAL;
END; 
/

CREATE SEQUENCE TFC_BD.SQ_E6C_USUCANCERIGENA START WITH 1 INCREMENT BY 1;

CREATE OR REPLACE TRIGGER TFC_BD.TR_BEIN_E6C_USUCANCERIGENA
  BEFORE INSERT ON TFC_BD.E6C_USUCANCERIGENA FOR EACH ROW
BEGIN
  SELECT TFC_BD.SQ_E6C_USUCANCERIGENA.NEXTVAL 
    INTO :NEW.estId
    FROM DUAL;
END; 
/

CREATE SEQUENCE TFC_BD.SQ_E7C_USUDEGENERATIVA START WITH 1 INCREMENT BY 1;

CREATE OR REPLACE TRIGGER TFC_BD.TR_BEIN_E7C_USUDEGENERATIVA
  BEFORE INSERT ON TFC_BD.E7C_USUDEGENERATIVA FOR EACH ROW
BEGIN
  SELECT TFC_BD.SQ_E7C_USUDEGENERATIVA.NEXTVAL 
    INTO :NEW.estId
    FROM DUAL;
END; 
/

CREATE SEQUENCE TFC_BD.SQ_E8C_MALALTIESLLEUS START WITH 1 INCREMENT BY 1;

CREATE OR REPLACE TRIGGER TFC_BD.TR_BEIN_E8C_MALALTIESLLEUS
  BEFORE INSERT ON TFC_BD.E8C_MALALTIESLLEUS FOR EACH ROW
BEGIN
  SELECT TFC_BD.SQ_E8C_MALALTIESLLEUS.NEXTVAL 
    INTO :NEW.estId
    FROM DUAL;
END; 
/

CREATE SEQUENCE TFC_BD.SQ_E9C_USUMESCALORIES START WITH 1 INCREMENT BY 1;

CREATE OR REPLACE TRIGGER TFC_BD.TR_BEIN_E9C_USUMESCALORIES
  BEFORE INSERT ON TFC_BD.E9C_USUMESCALORIES FOR EACH ROW
BEGIN
  SELECT TFC_BD.SQ_E9C_USUMESCALORIES.NEXTVAL 
    INTO :NEW.estId
    FROM DUAL;
END; 
/

COMMIT;
