  /******************************************************************************
  
   ARXIU    : 3_4_InsercionsCentresSanitaris.sql
   AUTOR    : Jess Hernndez Garcia - TFC - Aula 1
   
   PROPSIT : Script d'inserci de les dades de la taula CENTRE_SANITARI 
                                
   ******************************************************************************/

prompt **************************************************************************
prompt Fent creaci dels Centres Sanitaris del Sistema de Salut
prompt **************************************************************************
prompt 

DECLARE
    oRSP    VARCHAR2(300); -- Resultat de l'execuci del procediment
    vProces VARCHAR2(80);  -- Nom del procediment que s'efecta
BEGIN

vProces := 'NOU CENTRE SANITARI: ';

/* Catalans */
TFC_BD.PQ_CENTRE_SANITARI_ABM.CENTRE_SANITARI_A('Hospital de Palams', 'Carrer Hospital, 36', '17230 Palams', 'SPA', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_CENTRE_SANITARI_ABM.CENTRE_SANITARI_A('CAP Calonge', 'Plaa de la Concrdia, 4', '17251 Calonge', 'SPA', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_CENTRE_SANITARI_ABM.CENTRE_SANITARI_A('CAP Sant Antoni de Calonge', 'Av. Costa Brava, 6', '17252 Sant Antoni de Calonge', 'SPA', oRSP);
dbms_output.put_line(vProces || oRSP);

/* Francesos */
TFC_BD.PQ_CENTRE_SANITARI_ABM.CENTRE_SANITARI_A('Centre Sanitaire Quartier Latin', 'Av. Lafayette, 49', '08324 Paris-Cedex', 'FRA', oRSP);
dbms_output.put_line(vProces || oRSP);

/* Italians */
TFC_BD.PQ_CENTRE_SANITARI_ABM.CENTRE_SANITARI_A('Hospitale Santa Anna', 'Via Apia, 116', '08022 Roma', 'ITA', oRSP);
dbms_output.put_line(vProces || oRSP);

/* Alemanys */
TFC_BD.PQ_CENTRE_SANITARI_ABM.CENTRE_SANITARI_A('Rummenige Hospital', 'Grbe strasse, 92', '09234 Berlin', 'DEU', oRSP);
dbms_output.put_line(vProces || oRSP);

/* Britnics */
TFC_BD.PQ_CENTRE_SANITARI_ABM.CENTRE_SANITARI_A('Memorial Hospital', '169, Damon Street', '3AZ London', 'GBR', oRSP);
dbms_output.put_line(vProces || oRSP);

/* Portuguesos */
TFC_BD.PQ_CENTRE_SANITARI_ABM.CENTRE_SANITARI_A('Hospital deu Santa Fe', 'Rua Pavorde, 902', 'A27 Lisboa', 'POR', oRSP);
dbms_output.put_line(vProces || oRSP);

/* Belgues */
TFC_BD.PQ_CENTRE_SANITARI_ABM.CENTRE_SANITARI_A('Hpital Jean Merfaulis', 'Rue Matignon, 162', '0032 Bruxelles', 'BEL', oRSP);
dbms_output.put_line(vProces || oRSP);

/* Neerlandesos */
TFC_BD.PQ_CENTRE_SANITARI_ABM.CENTRE_SANITARI_A('Van Tigelen Hospital', '421, Wilhemm Straat', '08239 Amsterdam', 'NED', oRSP);
dbms_output.put_line(vProces || oRSP);

/* Austracs */
TFC_BD.PQ_CENTRE_SANITARI_ABM.CENTRE_SANITARI_A('Wien Hospital', '122, Beethoven Strasse', 'A-92 Wien', 'AUS', oRSP);
dbms_output.put_line(vProces || oRSP);

/* Grecs */
TFC_BD.PQ_CENTRE_SANITARI_ABM.CENTRE_SANITARI_A('Pammakaristos General Hospital', 'Papadulius, 129', '09242 Athenai', 'GRK', oRSP);
dbms_output.put_line(vProces || oRSP);

/* Irlandesos */
TFC_BD.PQ_CENTRE_SANITARI_ABM.CENTRE_SANITARI_A('Mount Carmel Hospital', '189, Churchtown Street', 'Dublin A1D', 'IRL', oRSP);
dbms_output.put_line(vProces || oRSP);

/* Centres que es borraran a les proves */
TFC_BD.PQ_CENTRE_SANITARI_ABM.CENTRE_SANITARI_A('Hospital Dr. Trueta', 'NII, S/n', '17000 Girona', 'SPA', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_CENTRE_SANITARI_ABM.CENTRE_SANITARI_A('Hospital d''Olot', 'Afores, s/n', '17800 Olot', 'SPA', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_CENTRE_SANITARI_ABM.CENTRE_SANITARI_A('Hospital de Camprodn', 'Francesca Pi, 10', '17700 Camprodn', 'SPA', oRSP);
dbms_output.put_line(vProces || oRSP);


-- Insercions de centres sanitaris errnies ------------------------------------

/******************************************************************************
  
 ERRORS CONTROLATS:
 
  'ERROR : No s'ha trobat el Pas del Centre Sanitari' 
  'ERROR : El Centre Sanitari ja havia estat donat d'alta' 
  'ERROR : SENSE NOM DEL CENTRE SANITARI (CAMP CLAU)' 
   
 ******************************************************************************/

-- Pas no trobat
TFC_BD.PQ_CENTRE_SANITARI_ABM.CENTRE_SANITARI_A('Hospital de Palams', 'Carrer Hospital, 36', '17230 Palams', 'RUS', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Centre ja donat d'alta
TFC_BD.PQ_CENTRE_SANITARI_ABM.CENTRE_SANITARI_A('Hospital de Palams', 'Carrer Hospital, 36', '17230 Palams', 'SPA', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Alta sense nom del centre
TFC_BD.PQ_CENTRE_SANITARI_ABM.CENTRE_SANITARI_A('', '', '', 'SPA', oRSP);
dbms_output.put_line(vProces || oRSP);


END;
/

COMMIT;
