  /******************************************************************************
  
   ARXIU    : 4_5_ModificacionsVisites.sql
   AUTOR    : Jess Hernndez Garcia - TFC - Aula 1
   
   PROPSIT : Script de modificaci de les dades de la taula VISITA
                                
   ******************************************************************************/

prompt **************************************************************************
prompt Fent modificac de les visites concertades dels Usuaris al Sistema de salut
prompt **************************************************************************
prompt 


SET SERVEROUTPUT ON; 

DECLARE
    oRSP    VARCHAR2(300); -- Resultat de l'execuci del procediment
    vProces VARCHAR2(80);  -- Nom del procediment que s'efecta
BEGIN

vProces := 'MODIFICACI VISITA CONCERTADA: ';

-- Canvi de metge
TFC_BD.PQ_VISITA_ABM.VISITA_M(19, 2, 'CAT2102', '', '', '', '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Canvi de centre sanitari
TFC_BD.PQ_VISITA_ABM.VISITA_M(19, 3, '', '', '', '', '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Canvi d'hora
TFC_BD.PQ_VISITA_ABM.VISITA_M(19, 3, '', '', '10/02/14 12:15', '', '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Canvi de sala de consulta
TFC_BD.PQ_VISITA_ABM.VISITA_M(19, 3, '', '', '', 'A03', '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Canvi del comentari
TFC_BD.PQ_VISITA_ABM.VISITA_M(19, 3, '', '', '', '', 'Dolor a l''ull dret', oRSP);
dbms_output.put_line(vProces || oRSP);


-- Modificacions de visites concertades errnies -------------------------------

/******************************************************************************
  
 ERRORS CONTROLATS:
 
   'ERROR: SENSE IDENTIFICADOR DE LA VISITA CONCERTADA'
   'ERROR: NO HI HA CANVIS A FER EN LA VISITA CONCERTADA'
   'ERROR: No s''ha trobat el Centre Sanitari per a la Visita Concertada'
   'ERROR: No s'ha trobat el Metge assignat a la Visita Concertada'
   'ERROR: No s'ha trobat l'Usuari citat per a la Visita Concertada'
   'ERROR: Consulta del Centre Sanitari ocupada per una altra Visita'
   'ERROR: Aquest Metge ja est assignat a una altra Visita Concertada'
   'ERROR: Aquest Usuari ja est citat per una altra Visita Concertada'
   'ERROR: La Visita Concertada no s'ha trobat a la base de dades'
                 
 ******************************************************************************/

-- Sense identificador de la visita
TFC_BD.PQ_VISITA_ABM.VISITA_M(NULL, 1, 'CAT1039', '172157777749', '10/05/14 17:30', 'A12', 'Revisar Palpitacions', oRSP);
dbms_output.put_line(vProces || oRSP);

-- No hi ha canvis a la visita
TFC_BD.PQ_VISITA_ABM.VISITA_M(1, NULL, '', '', '', '', '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Centre sanitari incorrecte
TFC_BD.PQ_VISITA_ABM.VISITA_M(1, 9999, 'CAT1039', '172157777749', '10/05/14 17:30', 'A12', 'Revisar Palpitacions', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Metge incorrecte
TFC_BD.PQ_VISITA_ABM.VISITA_M(1, 1, 'CAT9999', '172157777749', '10/05/14 17:30', 'A12', 'Revisar Palpitacions', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Usuari incorrecte
TFC_BD.PQ_VISITA_ABM.VISITA_M(1, 1, 'CAT1039', '172157898749', '10/05/14 17:30', 'A12', 'Revisar Palpitacions', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Consulta ocupada
TFC_BD.PQ_VISITA_ABM.VISITA_M(2, 1, 'CAT1039', '172157777749', '10/05/14 17:30', 'A12', 'Dolor pit', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Metge assignat a una altra visita
TFC_BD.PQ_VISITA_ABM.VISITA_M(2, 1, 'CAT1039', '172157777749', '10/05/14 17:30', 'A10', 'Dolor pit', oRSP);
dbms_output.put_line(vProces || oRSP);

-- usuari citat per a una altra visita
TFC_BD.PQ_VISITA_ABM.VISITA_M(2, 1, 'CAT0478', '172157777749', '10/05/14 17:30', 'A10', 'Dolor pit', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Consulta no trobada
TFC_BD.PQ_VISITA_ABM.VISITA_M(9999999, 1, 'CAT1039', '172157777749', '10/05/14 17:30', 'A12', 'Revisar Palpitacions', oRSP);
dbms_output.put_line(vProces || oRSP);


END;
/

COMMIT;
