  /******************************************************************************
  
   ARXIU    : 6_1_Consultes_a.sql
   AUTOR    : Jess Hernndez Garcia - TFC - Aula 1
   
   PROPSIT : Consulta de dades segons requeriments [R4] punt a) 
              Llista dels ciutadans d'un pas informant de :
              - Nombre de visites al metge realitzades
              - Nombre mitj de calories gastades cada dia
              - Any de diagnstic de malaltia cardaca
              - Any de diagnstic de malaltia cancergena
              - Any de diagnstic de malaltia degenerativa
              - Nombre de malalties lleus diagnosticades
   
   PARMETRES  :
      ENTRADA  :  pAny      : Any a consultar
                  pPais     : Identificador del pais a Consultar
                  pEdat     : Edat a consultar
                  pLlindar  : Parmetres de sortida del procediment
				  
      SORTIDA  :  pRSP      : Resultat de la crida a la consulta                    
		
   ******************************************************************************/

SET SERVEROUTPUT ON;

DECLARE
  vRsp    VARCHAR2(500);
  vProces VARCHAR2(80);
    
BEGIN
  vProces := 'LLISTAT_USUARIS ';

-- CONSULTES CORRECTES:

TFC_BD.PQ_CONSULTES.LLISTAT_USUARIS(2014, 'SPA', 25, 2000, vRsp);
dbms_output.put_line(vProces || vRsp);

TFC_BD.PQ_CONSULTES.LLISTAT_USUARIS(2014, 'IRL', 57, 3000, vRsp);
dbms_output.put_line(vProces || vRsp);

TFC_BD.PQ_CONSULTES.LLISTAT_USUARIS(2014, 'SPA', 18, 4500, vRsp);
dbms_output.put_line(vProces || vRsp);

TFC_BD.PQ_CONSULTES.LLISTAT_USUARIS(2014, 'GRK', 55, 3000, vRsp);
dbms_output.put_line(vProces || vRsp);

-- CONSULTES ERRNIES:

-- Sense any
TFC_BD.PQ_CONSULTES.LLISTAT_USUARIS(NULL, 'SPA', 25, 2000, vRsp);
dbms_output.put_line(vProces || vRsp);

-- Sense Pas
TFC_BD.PQ_CONSULTES.LLISTAT_USUARIS(2014, NULL, 25, 2000, vRsp);
dbms_output.put_line(vProces || vRsp);

-- Sense edat 
TFC_BD.PQ_CONSULTES.LLISTAT_USUARIS(2014, 'SPA', NULL, 2000, vRsp);
dbms_output.put_line(vProces || vRsp);

-- Sense llindar de calories
TFC_BD.PQ_CONSULTES.LLISTAT_USUARIS(2014, 'SPA', 25, NULL, vRsp);
dbms_output.put_line(vProces || vRsp);

-- Pas no trobat
TFC_BD.PQ_CONSULTES.LLISTAT_USUARIS(2014, 'RUS', 25, 2000, vRsp);
dbms_output.put_line(vProces || vRsp);

---------------------------------------------------------------------------------------------------
END;
/
